/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2022  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#include "gctl/core.h"
#include "gctl/geometry.h"
#include "iostream"

int main(int argc, char const *argv[])
{
	gctl::point2dc a(1.0, 1.0);
	gctl::point2dc o1(2.0, 2.0);
	gctl::point2dc o2(1.0, 0.0);
	gctl::point2dc b = a.rotate(0.5*GCTL_Pi);
	gctl::point2dc c = a.rotate(-0.25*GCTL_Pi);
	gctl::point2dc d = a.rotate(0.5*GCTL_Pi, o1);
	gctl::point2dc e = a.rotate(-0.5*GCTL_Pi, o2);

	std::cout << "a (" << a.x << ", " << a.y << ")" << std::endl;
	std::cout << "b (" << b.x << ", " << b.y << ")" << std::endl;
	std::cout << "c (" << c.x << ", " << c.y << ")" << std::endl;
	std::cout << "d (" << d.x << ", " << d.y << ")" << std::endl;
	std::cout << "e (" << e.x << ", " << e.y << ")" << std::endl;
	return 0;
}