/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2022  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#include "gctl/core.h"
#include "gctl/geometry.h"
#include "iostream"

using namespace gctl;
using std::cout;
using std::endl;

int main(int argc, char const *argv[])
{
	// 二维实点的测试
	point2dc p, q;
	p.set(4.3, 5.9);
	q.set(1.2, 3.0);
	cout << (p+q).x << endl;
	cout << (p-q).y << endl;
	cout << (5*p).x << endl;
	// 以下为三维实点的测试
	point3dc a, b;
	a.set(3,2,5);
	b.set(4,1,7);
	point3dc c = a + b;
	point3dc d = a - b;
	point3dc e = 0.5*a;
	cout << a.x << " " << a.y << " " << a.z << endl;
	cout << b.x << " " << b.y << " " << b.z << endl;
	cout << c.x << " " << c.y << " " << c.z << endl;
	cout << d.x << " " << d.y << " " << d.z << endl;
	cout << e.x << " " << e.y << " " << e.z << endl;

	return 0;
}