/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2022  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#include "gctl/core.h"
#include "gctl/io.h"
#include "iostream"

int main(int argc, char const *argv[])
{
	gctl::array<int> xs, ys;
	gctl::array<double> data;

	gctl::read_netcdf_axis("data/out/nc_example", xs, "x");
	gctl::read_netcdf_axis("data/out/nc_example", xs, "y");
	gctl::read_netcdf_grid("data/out/nc_example", data, "x", "y", "z");
	gctl::show_netcdf_info("data/out/nc_example");

	for (int i = 0; i < xs.size(); ++i)
	{
		std::cout << xs[i] << " ";
	}
	std::cout << std::endl;

	for (int i = 0; i < ys.size(); ++i)
	{
		std::cout << ys[i] << " ";
	}
	std::cout << std::endl;

	for (int i = 0; i < 10; ++i)
	{
		std::cout << data[i] << " ";
	}
	std::cout << std::endl;
	return 0;
}